Hifiberry ADC no longer works with jack after update

Bug #1916409 reported by Pieter Bos on 2021-02-21
6
This bug affects 1 person
Affects Status Importance Assigned to Milestone
linux-firmware-raspi2 (Ubuntu)
Undecided
Unassigned

Bug Description

I have a raspberry PI configured, with a hifiberry DAC+ ADC PRO. It has Ubuntu 20.10 installed, and worked fine, until I ran apt-get upgrade today.

alsaloop still works, but it is impossible to get jackd to start and accept clients. It will give errors on startup. I booted with another SD-card, and everything ran fine. To confirm the problem was the kernel and firmware, I booted the kernel from the old sd-card, and the OS from the other. Everything is back to working fine again. so, there seems to be an issue with the hifiberry overlay on a raspberry pi here.
It seems to be still possible to start at 48Khz and 512 samples buffer, but that's not a good idea - way too much latency.

The log from the upgrade, from /var/log/apt/history.log:

Start-Date: 2021-02-21 12:29:25
Commandline: apt-get upgrade
Requested-By: ubuntu (1000)
Upgrade: gnome-control-center-data:arm64 (1:3.38.1-1ubuntu1, 1:3.38.3-0ubuntu1), libraspberrypi-bin:arm64 (0~20200520+git2fe4ca3-0ubuntu2, 0~20200520+git2fe4ca3-0ubuntu3~20.10), update-manager-core:arm64 (1:20.10.2, 1:20.10.4), gnupg-utils:arm64 (2.2.20-1ubuntu1, 2.2.20-1ubuntu1.1), gnome-control-center:arm64 (1:3.38.1-1ubuntu1, 1:3.38.3-0ubuntu1), friendly-recovery:arm64 (0.2.41, 0.2.41ubuntu0.20.10.1), gpg-wks-client:arm64 (2.2.20-1ubuntu1, 2.2.20-1ubuntu1.1), python3-software-properties:arm64 (0.99.3, 0.99.3.1), gnupg-l10n:arm64 (2.2.20-1ubuntu1, 2.2.20-1ubuntu1.1), gnome-desktop3-data:arm64 (3.38.1-1ubuntu1, 3.38.3-0ubuntu1), gpg-wks-server:arm64 (2.2.20-1ubuntu1, 2.2.20-1ubuntu1.1), gpg:arm64 (2.2.20-1ubuntu1, 2.2.20-1ubuntu1.1), linux-firmware-raspi2:arm64 (2-0ubuntu2, 3-0ubuntu2~20.10.1), dirmngr:arm64 (2.2.20-1ubuntu1, 2.2.20-1ubuntu1.1), libgnome-desktop-3-19:arm64 (3.38.1-1ubuntu1, 3.38.3-0ubuntu1), python3-update-manager:arm64 (1:20.10.2, 1:20.10.4), u-boot-rpi:arm64 (2020.04+dfsg-2ubuntu1, 2020.10+dfsg-1ubuntu0~20.10.1), gpgv:arm64 (2.2.20-1ubuntu1, 2.2.20-1ubuntu1.1), libraspberrypi0:arm64 (0~20200520+git2fe4ca3-0ubuntu2, 0~20200520+git2fe4ca3-0ubuntu3~20.10), gnome-control-center-faces:arm64 (1:3.38.1-1ubuntu1, 1:3.38.3-0ubuntu1), gzip:arm64 (1.10-2ubuntu1, 1.10-2ubuntu1.1), gnupg:arm64 (2.2.20-1ubuntu1, 2.2.20-1ubuntu1.1), u-boot-tools:arm64 (2020.04+dfsg-2ubuntu1, 2020.10+dfsg-1ubuntu0~20.10.1), flash-kernel:arm64 (3.100ubuntu4, 3.103ubuntu1~20.10.1), gpg-agent:arm64 (2.2.20-1ubuntu1, 2.2.20-1ubuntu1.1), gpgconf:arm64 (2.2.20-1ubuntu1, 2.2.20-1ubuntu1.1), gpgsm:arm64 (2.2.20-1ubuntu1, 2.2.20-1ubuntu1.1), software-properties-common:arm64 (0.99.3, 0.99.3.1)
End-Date: 2021-02-21 12:31:35

ProblemType: Bug
DistroRelease: Ubuntu 20.10
Package: linux-firmware-raspi2 2-0ubuntu2
ProcVersionSignature: User Name 5.8.0-1013.16-raspi 5.8.18
Uname: Linux 5.8.0-1013-raspi aarch64
ApportVersion: 2.20.11-0ubuntu50.5
Architecture: arm64
CasperMD5CheckResult: skip
CurrentDesktop: XFCE
Date: Sun Feb 21 22:12:48 2021
Dependencies:

ImageMediaBuild: 20200731
SourcePackage: linux-firmware-raspi2
UpgradeStatus: Upgraded to groovy on 2021-01-27 (24 days ago)

Pieter Bos (pieterbos) wrote :
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers